#!/bin/bash

# This is a Korn shell script for a simple test to check the output of a
# programm

# Abort if any command fails
set -e

# If there is an error, clean up
trap "cleanup" ERR

cleanup()
{
  rm -rf temp.$$
}

# Make a temporary directory whose name is based on our program ID
mkdir temp.$$

# Run program and save output
progs/program2 > temp.$$/output

# Compare actual output to the expected output
diff etc/test_results/test2.txt temp.$$/output

# If we got here, then diff must not have returned an error
echo Test passed!

# Clean up
cleanup
